<?xml version='1.0' encoding='UTF-8'?>
<!-- edited with XMLSpy v2008 sp1 (http://www.altova.com) by amerezhi (CERN) -->
<UNICOSMetaModel xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='..\unicos\UNICOSMetaModel.xsd'>
	<Information>
		<Name>AnalogAlarm</Name>
		<ObjectTypeFamily>ControlObjectFamily</ObjectTypeFamily>
		<Description>Analog Alarm Device</Description>
		<Version>$LastChangedRevision: 117564 $</Version>
    <VersionComments/>
    <Status/>
	</Information>
	<AttributeFamily>
		<AttributeFamilyName>DeviceIdentification</AttributeFamilyName>
		<UserExpandable>false</UserExpandable>
		<Attribute>
			<AttributeName>Name</AttributeName>
			<Description>Name of the device. It must be unique.
Max length:
- Schneider: 23
- Siemens: Field objects, Controller and PCO: 19; Local: 21; otherwise: 24
Forbidden chars:  [: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]-., double underscore, and page break</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<isValueRequired>true</isValueRequired>
				<Usage>Name displayed at the SCADA level if "Expert Name" is not specified.
This name will appear in the datapoints created in the SCADA layer.</Usage>
				<DependentAttributes>Device Links.
The name of the device(s) specified in Device Links *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified in Device Links corresponds to "Name".</DependentAttributes>
				<Constraints>Max length:
- Schneider: 23
- Siemens: Field objects, Controller and PCO: 19; Local: 21; otherwise: 24
Forbidden chars:  [: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]-., double underscore, and page break
Name must be unique.</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>ExpertName</AttributeName>
			<Description>Name of the device displayed at the SCADA level. It must be unique.
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Expert Name</NameRepresentation>
				<TypeRepresentation>STRING</TypeRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>It does not affect to the datapoints names in the SCADA layer.</Usage>
				<DependentAttributes>Device Links.
The name of the device(s) specified in Device Links *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified in Device Links corresponds to "Name".</DependentAttributes>
				<Constraints>In principle there is no limit to the number of characters used, however a long name may result in display issues at the SCADA level.
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]
Expert Name must be unique.</Constraints>
			</isSpecificationAttribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>DeviceDocumentation</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>DeviceDescription</AttributeName>
			<Description>Description of the device.  </Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Description</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>Used in the SCADA layer in the device faceplate</Usage>
				<DependentAttributes/>
				<Constraints>In principle there is no limit to the number of characters used, however a long description may result in display issues at the SCADA level.
Forbidden characters:  ;</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>Remarks</AttributeName>
			<Description>Field used to add relevant information about the device. </Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<isValueRequired>false</isValueRequired>
				<Usage>This information is not used in the generation process, it remains only at the specification level for documentation purposes.</Usage>
				<DependentAttributes/>
				<Constraints>Forbidden characters:  ;</Constraints>
			</isSpecificationAttribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>FEDeviceParameters</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>ParReg</AttributeName>
			<Meaning>Parameter Register</Meaning>
			<Description>Parametrisation register: This register contains all the boolean parameters of the object</Description>
			<PrimitiveType>STRUCT</PrimitiveType>
			<Attribute>
				<AttributeName>IhMHH</AttributeName>
				<Meaning>Parameter Inhibit Manual High High threshold</Meaning>
				<Description>If "true", the SCADA cannot change the Threshold because it is set by the control logic</Description>
				<PrimitiveType>BOOLEAN</PrimitiveType>
				<BitPosition>0</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>IhMH</AttributeName>
				<Meaning>Parameter Inhibit Manual High threshold</Meaning>
				<Description>If "true", the SCADA cannot change the Threshold because it is set by the control logic</Description>
				<PrimitiveType>BOOLEAN</PrimitiveType>
				<BitPosition>1</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>IhML</AttributeName>
				<Meaning>Parameter Inhibit Manual Low threshold</Meaning>
				<Description>If "true", the SCADA cannot change the Threshold because it is set by the control logic</Description>
				<PrimitiveType>BOOLEAN</PrimitiveType>
				<BitPosition>2</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>IhMLL</AttributeName>
				<Meaning>Parameter Inhibit Manual Low Low threshold</Meaning>
				<Description>If "true", the SCADA cannot change the Threshold because it is set by the control logic</Description>
				<PrimitiveType>BOOLEAN</PrimitiveType>
				<BitPosition>3</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>PAuAckAl</AttributeName>
				<Meaning>Parameter Auto Acknowledge Alarm</Meaning>
				<Description>If TRUE, the alarm Acknowledge will be done automatically, it's not needed any action from the operator.
If FALSE, the alarm Acknowledge must be done by the operator.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>4</BitPosition>
			</Attribute>
		</Attribute>
		<Attribute>
			<AttributeName>PAlDt</AttributeName>
			<Meaning>Parameter Alarm Time Delay in seconds</Meaning>
			<Description>Time delay applied to the condition that sets an Alarm.
Can be a number (&gt;= 0), an object (AS,APAR), or empty (set to 0 by default).
If = 0, then no delay.</Description>
			<PrimitiveType>FLOAT32</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Alarm Delay (s)</NameRepresentation>
				<TypeRepresentation>STRING</TypeRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>Active alarm of a duration lower than this delay are ignored. 
Filter on spikes in Alarm condition.</Usage>
				<DependentAttributes/>
				<Constraints>Can be a number (&gt;= 0), an object (AS,APAR), or empty (set to 0 by default).
If = 0, then no delay.</Constraints>
			</isSpecificationAttribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>FEDeviceAutoRequests</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>AuEHH</AttributeName>
			<Meaning>Auto Enable High High level </Meaning>
			<Description>Auto Enable High High level </Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuEH</AttributeName>
			<Meaning>Auto Enable High level</Meaning>
			<Description>Auto Enable High level</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuEL</AttributeName>
			<Meaning>Auto Enable Low level</Meaning>
			<Description>Auto Enable Low level</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuELL</AttributeName>
			<Meaning>Auto Enable Low Low level</Meaning>
			<Description>Auto Enable Low Low level</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuAlAck</AttributeName>
			<Meaning>Auto Alarm Acknowledgement</Meaning>
			<Description>Auto Alarm Acknowledgement: The control logic requests and Acknowledgment of the Alarm Start and Stop Interlocks</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuIhMB</AttributeName>
			<Meaning>Auto Inhibit Manual Blocked </Meaning>
			<Description>Auto Inhibit Manual Blocked </Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>FEDeviceManualRequests</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>ManReg01</AttributeName>
			<Meaning>Manual Register 1</Meaning>
			<Description>Manual Register 1</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>WORD</PrimitiveType>
			<Attribute>
				<AttributeName>ArmRcp</AttributeName>
				<Meaning>Armed Recipe</Meaning>
				<Description>A Recipe is Armed : New values are available at the input</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>2</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>ActRcp</AttributeName>
				<Meaning>Activate Recipe</Meaning>
				<Description>Activate Recipe : All new signals at the inputs are activated.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>3</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MNewHHR</AttributeName>
				<Meaning>Manual New HH threshold Request</Meaning>
				<Description>Manual New high high threshold Request</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>8</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MNewHR</AttributeName>
				<Meaning>Manual New H threshold Request</Meaning>
				<Description>Manual New high threshold Request</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>9</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MAlBSetRst</AttributeName>
				<Meaning>Manual Alarm Block Set/Reset</Meaning>
				<Description>Manual Alarm Block Set/Reset: Operator request to set/reset the alarm block.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>10</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MNewLR</AttributeName>
				<Meaning>Manual New L threshold Request</Meaning>
				<Description>Manual New low threshold Request</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>12</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MNewLLR</AttributeName>
				<Meaning>Manual New LL threshold Request</Meaning>
				<Description>Manual New low low threshold Request</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>13</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MAlAckR</AttributeName>
				<Meaning>Manual Alarm Acknowledgement Request</Meaning>
				<Description>Manual Alarm Acknowledgement Request: The operator requests Interlocks or Alarms acknowledgement</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>15</BitPosition>
			</Attribute>
		</Attribute>
		<Attribute>
			<AttributeName>HH</AttributeName>
			<Meaning>High High</Meaning>
			<Description>Threshold level above which the signal produces an Alarm.
Can be a number, an object (AS,APAR,AIR), keyword "logic", or empty (no alarm).
All defined thresholds must be ordered (HH&gt;H&gt;L&gt;LL).</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>HH Alarm</NameRepresentation>
				<TypeRepresentation>STRING</TypeRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>4 types of encoding
- A number: operator can change it.
- A reference to an object (AS,APAR,AIR): will take the value provided by this object as level.
- A keyword "logic": process logic will assign a value to this signal.
- An empty field: no alarm</Usage>
				<DependentAttributes/>
				<Constraints>Can be a number, an object (AS,APAR,AIR), keyword "logic", or empty (no alarm).
All defined thresholds must be ordered (HH&gt;H&gt;L&gt;LL)</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>H</AttributeName>
			<Meaning>High</Meaning>
			<Description>Threshold level above which the signal produces a Warning.
Can be a number, an object (AS,APAR,AIR), keyword "logic", or empty (no alarm).
All defined thresholds must be ordered (HH&gt;H&gt;L&gt;LL).</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>H Warning</NameRepresentation>
				<TypeRepresentation>STRING</TypeRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>4 types of encoding
- A number: operator can change it.
- A reference to an object (AS,APAR,AIR): will take the value provided by this object as level.
- A keyword "logic": process logic will assign a value to this signal.
- An empty field: no alarm</Usage>
				<DependentAttributes/>
				<Constraints>Can be a number, an object (AS,APAR,AIR), keyword "logic", or empty (no alarm).
All defined thresholds must be ordered (HH&gt;H&gt;L&gt;LL)</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>L</AttributeName>
			<Meaning>Low</Meaning>
			<Description>Threshold level below which the signal produces a Warning.
Can be a number, an object (AS,APAR,AIR), keyword "logic", or empty (no alarm).
All defined thresholds must be ordered (HH&gt;H&gt;L&gt;LL).</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>L Warning</NameRepresentation>
				<TypeRepresentation>STRING</TypeRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>4 types of encoding
- A number: operator can change it.
- A reference to an object (AS,APAR,AIR): will take the value provided by this object as level.
- A keyword "logic": process logic will assign a value to this signal.
- An empty field: no alarm</Usage>
				<DependentAttributes/>
				<Constraints>Can be a number, an object (AS,APAR,AIR), keyword "logic", or empty (no alarm).
All defined thresholds must be ordered (HH&gt;H&gt;L&gt;LL)</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>LL</AttributeName>
			<Meaning>Low Low</Meaning>
			<Description>Threshold level below which the signal produces an Alarm.
Can be a number, an object (AS,APAR,AIR), keyword "logic", or empty (no alarm).
All defined thresholds must be ordered (HH&gt;H&gt;L&gt;LL).</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>LL Alarm</NameRepresentation>
				<TypeRepresentation>STRING</TypeRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>4 types of encoding
- A number: operator can change it.
- A reference to an object (AS,APAR,AIR): will take the value provided by this object as level.
- A keyword "logic": process logic will assign a value to this signal.
- An empty field: no alarm</Usage>
				<DependentAttributes/>
				<Constraints>Can be a number, an object (AS,APAR,AIR), keyword "logic", or empty (no alarm).
All defined thresholds must be ordered (HH&gt;H&gt;L&gt;LL)</Constraints>
			</isSpecificationAttribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>FEDeviceAlarm</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>Type</AttributeName>
			<Description>Definition of the Alarm action in the Process:
AL: Alarm; no interlock
FS: Full Stop
TS: Temporary Stop (until alarm disappears)
SI: Start Interlock; block ON mode request
Multiple: Several PCO/Field objects depend on Alarm - see Multiple Types.</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<isValueRequired>false</isValueRequired>
				<PermittedValue>AL</PermittedValue>
				<PermittedValue>FS</PermittedValue>
				<PermittedValue>TS</PermittedValue>
				<PermittedValue>SI</PermittedValue>
				<PermittedValue>Multiple</PermittedValue>
				<Usage>There are 4 valid alarm types:
AL: Alarm; will have no effect on PCO/Field
FS: Full Stop; will Stop PCO/Field
TS: Temporary Stop; will Stop PCO/Field until it disappears.
SI: Start Interlock; will block ON mode request applied to the PCO/Field.</Usage>
				<DependentAttributes>All PCO/Field object specified in this Instance
If "Multiple", then must fill out Multiple Types field</DependentAttributes>
				<Constraints/>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>MultipleTypes</AttributeName>
			<Description>Declaration of all types of alarm in the case of a multiple dependent objects.
Valid only when FEDeviceAlarm::Type is "Multiple", syntax "AlType,AlType".
"AlType" must be one of the following valid alarm types: AL,FS,TS,SI.</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Multiple Types</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>Provide to the SCADA information on the Alarm types when several PCO/field objects are dependent of this Alarm</Usage>
				<DependentAttributes>FEDeviceAlarm::Type</DependentAttributes>
				<Constraints>Valid only when FEDeviceAlarm::Type is "Multiple", syntax "AlType,AlType"
"AlType" must be one of the following valid alarm types: AL,FS,TS,SI</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>AutoAcknowledge</AttributeName>
			<Description>The SCADA automatically performs the alarm acknowledge</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Auto Acknowledge</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>When TRUE, the SCADA automatically acknowledges the alarm at its occurrence. 
The operator doesn't have to act on this alarm.</Usage>
				<DependentAttributes/>
				<Constraints>TRUE/FALSE</Constraints>
			</isSpecificationAttribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>FEDeviceEnvironmentInputs</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>I</AttributeName>
			<Meaning>Interlock</Meaning>
			<Description>Object name (AI,AIR,AS,MFC) used for the Alarm input signal.
If blank, then input parameter is defined inside the logic.  If not blank, the Object must exist.</Description>
			<PrimitiveType>FLOAT32</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Input</NameRepresentation>
				<TypeRepresentation>STRING</TypeRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>Output PosSt signal of the object is assigned automatically to the Alarm Input.</Usage>
				<DependentAttributes/>
				<Constraints>If blank, then input parameter is defined inside the logic.  If not blank, the Object (AI,AIR,AS,MFC) must exist.</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>IOError</AttributeName>
			<Meaning>Input/Output Error</Meaning>
			<Description>IOError state in any of the dependant objects or the PLC channel assigned to the object</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>IOSimu</AttributeName>
			<Meaning>Input/Output Simulated</Meaning>
			<Description>Any of the dependant objects is in Forced or Manual Mode</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>FEDeviceOutputs</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>StsReg01</AttributeName>
			<Meaning>Status Register 1</Meaning>
			<Description>Status Register 1</Description>
			<isEventAttribute>true</isEventAttribute>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>WORD</PrimitiveType>
			<Attribute>
				<AttributeName>ISt</AttributeName>
				<Meaning>Interlock Status</Meaning>
				<Description>Interlock Status</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>0</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>WSt</AttributeName>
				<Meaning>Warning Status</Meaning>
				<Description>Warning Status</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>1</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>ConfigW</AttributeName>
				<Meaning>Config Warning</Meaning>
				<Description>Levels values  LL,L,H,HH are not in a crescendo order OR all four Enable Levels Status are OFF</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>5</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>ArmRcpSt</AttributeName>
				<Meaning>Armed Recipe Status</Meaning>
				<Description>A Recipe is Armed : New values are available at the input</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>3</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>IOErrorW</AttributeName>
				<Meaning>Input/Output Error Warning</Meaning>
				<Description>Current status of the IOError</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>6</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>IOSimuW</AttributeName>
				<Meaning>Input/Output Simulated Warning</Meaning>
				<Description>Current status of the IOSimu</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>7</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>PosHHW</AttributeName>
				<Meaning>Position High High Warning</Meaning>
				<Description>HH state detected while Current state is not HH (after delay)</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>8</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>PosHW</AttributeName>
				<Meaning>Position High Warning</Meaning>
				<Description>H state detected while Current state is not H (after delay).</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>9</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>PosLW</AttributeName>
				<Meaning>Position Low Warning</Meaning>
				<Description>L state detected while Current state is not L (after delay)</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>10</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>PosLLW</AttributeName>
				<Meaning>Position Low Low Warning</Meaning>
				<Description>LL state detected while Current state is not LL (after delay)</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>11</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>AlUnAck</AttributeName>
				<Meaning>Alarm UnAcknowledged</Meaning>
				<Description>Alarm UnAcknowledged: The alarm or at least one of the alarms associated to the object is not acknowledged</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>12</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MAlBRSt</AttributeName>
				<Meaning>Manual Alarm Blocked Request Status</Meaning>
				<Description>Alarm Blocked Request Status.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>14</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>AuIhMB</AttributeName>
				<Meaning>Auto Inhibit Manual Blocked Status</Meaning>
				<Description>Auto Inhibit Manual Blocked Status</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>15</BitPosition>
			</Attribute>
		</Attribute>
		<Attribute>
			<AttributeName>StsReg02</AttributeName>
			<Meaning>Status Register 2 </Meaning>
			<Description>Status Register 2</Description>
			<isEventAttribute>true</isEventAttribute>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>WORD</PrimitiveType>
			<Attribute>
				<AttributeName>EHHSt</AttributeName>
				<Meaning>Enable High High threshold Status</Meaning>
				<Description>Enable High High threshold : The HH threshold is taken into account</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>0</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>EHSt</AttributeName>
				<Meaning>Enable High threshold Status</Meaning>
				<Description>Enable High threshold : The H threshold is taken into account</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>1</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>ELSt</AttributeName>
				<Meaning>Enable Low threshold Status</Meaning>
				<Description>Enable Low threshold : The L threshold is taken into account</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>2</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>ELLSt</AttributeName>
				<Meaning>Enable Low Low threshold Status</Meaning>
				<Description>Enable Low Low threshold : The LL threshold is taken into account</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>3</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>HHAlSt</AttributeName>
				<Meaning>High High Alarm  threshold Status</Meaning>
				<Description>High High Alarm  threshold Status</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>4</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>HWSt</AttributeName>
				<Meaning>High Warning  threshold Status </Meaning>
				<Description>High Warning  threshold Status </Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>5</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>LWSt</AttributeName>
				<Meaning>Low Warning  threshold  Status</Meaning>
				<Description>Low warning  threshold  Status</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>6</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>LLAlSt</AttributeName>
				<Meaning>Low Low Alarm  threshold Status</Meaning>
				<Description>Low Low Alarm  threshold Status</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>7</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>IhMHHSt</AttributeName>
				<Meaning>Inhibit Manual High High threshold Status</Meaning>
				<Description>Inhibit Manual HH Threshold Status : The SCADA cannot send requests to this threshold</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>8</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>IhMHSt</AttributeName>
				<Meaning>Inhibit Manual High threshold Status</Meaning>
				<Description>Inhibit Manual H Threshold Status : The SCADA cannot send requests to this threshold.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>9</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>IhMLSt</AttributeName>
				<Meaning>Inhibit Manual Low threshold Status</Meaning>
				<Description>Inhibit Manual L Threshold Status : The SCADA cannot send requests to this threshold.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>10</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>IhMLLSt</AttributeName>
				<Meaning>Inhibit Manual Low Low threshold Status</Meaning>
				<Description>Inhibit Manual LL Threshold Status : The SCADA cannot send requests to this threshold.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>11</BitPosition>
			</Attribute>
		</Attribute>
		<Attribute>
			<AttributeName>IOErrorW</AttributeName>
			<Meaning>Input/Output Error Warning</Meaning>
			<Description>Current status of the IOError</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>IOSimuW</AttributeName>
			<Meaning>Inpout/Output Simulated Warning</Meaning>
			<Description>Current status of the IOSimu</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>PosSt</AttributeName>
			<Meaning>Position status</Meaning>
			<Description>Position Status</Description>
			<isCommunicated>true</isCommunicated>
			<isArchived>true</isArchived>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>ISt</AttributeName>
			<Meaning>Interlock Status</Meaning>
			<Description>Interlock Status (HH or LL)</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>WSt</AttributeName>
			<Meaning>Warning Status</Meaning>
			<Description>Warning Status (H or L)</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>HHAlSt</AttributeName>
			<Meaning>High High Alarm Status</Meaning>
			<Description>High High Alarm Status (it produces also an ISt)</Description>
			<isArchived>true</isArchived>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>HWSt</AttributeName>
			<Meaning>High Waring Status</Meaning>
			<Description>High Waring Status (it produces also a WSt)</Description>
			<isArchived>true</isArchived>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>LWSt</AttributeName>
			<Meaning>Low Warning Status</Meaning>
			<Description>Low Warning Status (it produces also a WSt)</Description>
			<isArchived>true</isArchived>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>LLAlSt</AttributeName>
			<Meaning>Low Low Alarm Status</Meaning>
			<Description>Low Low Alarm Status (it produces also an ISt)</Description>
			<isArchived>true</isArchived>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>HHSt</AttributeName>
			<Meaning>High High threshold Status</Meaning>
			<Description>Alarm High High threshold Status</Description>
			<isCommunicated>true</isCommunicated>
			<isArchived>true</isArchived>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>HSt</AttributeName>
			<Meaning>High threshold Status</Meaning>
			<Description>Alarm High threshold Status</Description>
			<isCommunicated>true</isCommunicated>
			<isArchived>true</isArchived>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>LSt</AttributeName>
			<Meaning>Low threshold Status</Meaning>
			<Description>Alarm Low threshold Status</Description>
			<isCommunicated>true</isCommunicated>
			<isArchived>true</isArchived>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>LLSt</AttributeName>
			<Meaning>Low Low threshold Status</Meaning>
			<Description>Alarm Low Low threshold Status</Description>
			<isCommunicated>true</isCommunicated>
			<isArchived>true</isArchived>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>MAlBRSt</AttributeName>
			<Meaning>Manual Alarm Blocked Request Status</Meaning>
			<Description>Alarm Blocked Request Status.</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AlUnAck</AttributeName>
			<Meaning>Alarm UnAcknowledged</Meaning>
			<Description>Alarm UnAcknowledged: The alarm or at least one of the alarms associated to the object is not acknowledged</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>SCADADeviceGraphics</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>WidgetType</AttributeName>
			<Description>Define the widget type to display in the SCADA device tree overview only. 
The widget displayed in the process panel will be selected when the user creates the panel.</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Widget Type</NameRepresentation>
				<isValueRequired>true</isValueRequired>
				<isCaseSensitive>true</isCaseSensitive>
				<PermittedValue>AnalogAlarm</PermittedValue>
				<PermittedValue>AnalogAlarm_Analog</PermittedValue>
				<Usage/>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>Synoptic</AttributeName>
			<Description>Define link between the device and an existing synoptic where it appears. The synoptic specified here can be accessed from the device right-click menu item "Synoptic".</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<isValueRequired>false</isValueRequired>
				<Usage>Specify the path of the .pnl file under the "\panel" directory of the PVSS project.</Usage>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>DiagnosticPanel</AttributeName>
			<Description>Define link between the device and an existing diagnostic panel for the device. The panel specified here can be accessed from the device right-click menu item "Diagnostic" as well as from the "Diagnostic" button on the object faceplate.</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Diagnostic</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>Specify the path of the .pnl file under the "\panel" directory of the PVSS project </Usage>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>WWWLink</AttributeName>
			<Description>Define link between the device and an existing web page (or pdf file, or other file which can be opened with IE).  The link can be accessed from the device right-click menu item "Info" as well as from the "Info" button on the object faceplate.</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>WWW Link</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage/>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>SCADADeviceFunctionals</AttributeFamilyName>
		<UserExpandable>false</UserExpandable>
		<Attribute>
			<AttributeName>MaskEvent</AttributeName>
			<Description>If TRUE: the events of the device will be masked in SCADA and not diplayed or archived in the Event List.
An 'event' is defined as a bit change in StsReg01 or StsReg02</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Mask Event</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage/>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>AccessControlDomain</AttributeName>
			<Description>Define Access Control on the device to an existing SCADA Domain
Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Access Control Domain</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>This domain is used to grant access to this specific device. The domain specified for this object will allow access to the object only to registered users on that domain</Usage>
				<DependentAttributes/>
				<Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>SCADADeviceClassificationTags</AttributeName>
			<Description>It defines the Domain, Nature and DeviceLinks for the SCADA visualization</Description>
			<PrimitiveType>STRUCT</PrimitiveType>
			<Attribute>
				<AttributeName>Domain</AttributeName>
				<Description>Domain of the device. If empty, the domain will be the name of the application
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>Domain is used to filter the devices in the alarm list or in the device tree overview</Usage>
					<DependentAttributes/>
					<Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Nature</AttributeName>
				<Description>Nature of the device. If empty, the nature will be the type of the device
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>Nature is used to filter the devices in the alarm list or in the device tree overview</Usage>
					<DependentAttributes/>
					<Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>DeviceLinks</AttributeName>
				<Description>Define links to other devices (separate device names with commas). 
Note: it is not necessary to link to master, parents or children because these links are automatically created.
Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<NameRepresentation>Device Links</NameRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage>Linked devices will be shown in the device right-click menu</Usage>
					<DependentAttributes>Expert Name or Name.
The name of the device(s) specified here *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified here corresponds to "Name".</DependentAttributes>
					<Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Constraints>
				</isSpecificationAttribute>
			</Attribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>SCADADeviceDataArchiving</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>BooleanArch</AttributeName>
			<Description>Name of the Boolean archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<DefaultValue>boolean</DefaultValue>
			<isSpecificationAttribute>
				<NameRepresentation>Boolean Archive</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>The boolean values of the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
				<DependentAttributes/>
				<Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>AnalogArch</AttributeName>
			<Description>Name of the analog archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<DefaultValue>analog</DefaultValue>
			<isSpecificationAttribute>
				<NameRepresentation>Analog Archive</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>The analog values of the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
				<DependentAttributes/>
				<Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>EventArch</AttributeName>
			<Description>Name of the event archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<DefaultValue>event</DefaultValue>
			<isSpecificationAttribute>
				<NameRepresentation>Event Archive</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>The events generated by the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
				<DependentAttributes/>
				<Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>InterlockArchiving</AttributeName>
			<Description>Archiving parameters for the boolean interlock signal</Description>
			<PrimitiveType>STRUCT</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Interlock Archiving</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage/>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
			<Attribute>
				<AttributeName>ArchiveMode</AttributeName>
				<Description>Define the archive action when there is a change on the interlock state. Archive if:
Old/New Comparison: value changes</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<NameRepresentation>Archive Mode</NameRepresentation>
					<isValueRequired>true</isValueRequired>
					<PermittedValue>No</PermittedValue>
					<PermittedValue>Old/New Comparison</PermittedValue>
					<Usage>This archive mode is used to archive alarm output state in the PVSS database</Usage>
					<DependentAttributes/>
					<Constraints>No, or Old/New Comparison</Constraints>
				</isSpecificationAttribute>
			</Attribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>SCADADeviceAlarms</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>AlarmConfig</AttributeName>
			<Description>Configuration of Alarm under SCADA</Description>
			<PrimitiveType>INT32</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Alarm Config</NameRepresentation>
				<isValueRequired>true</isValueRequired>
				<Usage/>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
			<Attribute>
				<AttributeName>SMSCategory</AttributeName>
				<Description>This Alarm message will follow rules defined in the corresponding SMS User Group</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<NameRepresentation>SMS Category</NameRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage>Defines a specific treatment for each SMS message</Usage>
					<DependentAttributes/>
					<Constraints>The name must correspond to the SMS user group (unProcessAlarm,...)</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Masked</AttributeName>
				<Description>Alarm signal is ignored by the SCADA</Description>
				<PrimitiveType>BOOLEAN</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>When TRUE, the Alarm signal is not recorded into the ALARM database</Usage>
					<DependentAttributes/>
					<Constraints>TRUE/FALSE</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Level</AttributeName>
				<Description>Classification of the importance of the Alarm</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<DefaultValue>Alarm</DefaultValue>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<PermittedValue>Information</PermittedValue>
					<PermittedValue>Warning</PermittedValue>
					<PermittedValue>Alarm</PermittedValue>
					<PermittedValue>Safety Alarm</PermittedValue>
					<Usage>Level 0: Information 
Level 1: Warning 
Level 2: Alarm 
Level 3: Safety Alarm</Usage>
					<DependentAttributes/>
					<Constraints/>
				</isSpecificationAttribute>
			</Attribute>
		</Attribute>
		<Attribute>
			<AttributeName>Message</AttributeName>
			<Description>Message to display when alarm is set in SCADA</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<isValueRequired>false</isValueRequired>
				<Usage>The message specified here will be displayed in the Alarm List</Usage>
				<DependentAttributes/>
				<Constraints>In principle there is no limit to the number of characters used, however a long name may result in display issues at the SCADA level.
Forbidden characters:  *[:"'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
			</isSpecificationAttribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>LogicDeviceDefinitions</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>MasterDevice</AttributeName>
			<Description>Master of the device (relative to the hierarchy of dependent objects).</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Master</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>The master will give automatic requests to the device. The master object will appear in the list of "Device Links" in the device right-click menu.</Usage>
				<DependentAttributes/>
				<Constraints>Must be a single PCO for field objects, controller, or PCO. 
Must be PCO or field objects for alarms (several masters are allowed in the case of multiple alarms, separated by commas or spaces).</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>CustomLogicParameters</AttributeName>
			<Description>User defined meaning, used by the logic generators.</Description>
			<PrimitiveType>STRUCT</PrimitiveType>
			<Attribute>
				<AttributeName>Parameter1</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter2</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter3</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter4</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter5</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter6</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter7</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter8</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter9</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter10</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>TargetDeviceInformation</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>Target</AttributeName>
			<Description>Identifies a target type (e.g. SIEMENS, SCHNEIDER...)</Description>
			<PrimitiveType>STRUCT</PrimitiveType>
			<DefaultValue>Siemens</DefaultValue>
			<Attribute>
				<AttributeName>RepresentationName</AttributeName>
				<Description>It's the name used ...</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<DefaultValue>AA</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>Optimized</AttributeName>
				<Description>Is this object an optimized Object?</Description>
				<PrimitiveType>BOOLEAN</PrimitiveType>
				<DefaultValue>true</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>LimitSize</AttributeName>
				<Description>Maximun number of instances allowed</Description>
				<PrimitiveType>INT32</PrimitiveType>
				<DefaultValue>950</DefaultValue>
			</Attribute>
		</Attribute>
	</AttributeFamily>
</UNICOSMetaModel>
